umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties
- Related Symbols

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all functions with links to the classes they belong to:

### - l -

- language() : AdaWriter, ASWriter, CodeGenerator, CodeImpSelectPage, CPPCodeGenerator, CppWriter, CSharpWriter, DCodeGenerator, DWriter, IDLWriter, JavaCodeGenerator, JavaWriter, JSWriter, MySQLWriter, PascalWriter, PerlWriter, Php5Writer, PhpWriter, PostgreSQLWriter, PythonWriter, RubyCodeGenerator, RubyWriter, SQLWriter, TclWriter, ValaWriter, XMLSchemaWriter
- languageChange() : CodeViewerDialog, ExportAllViewsDialog
- languageChanged() : CodeGenOptionsPage, CodeImpSelectPage
- lastEditableLine() : CPPCodeDocumentation, CPPHeaderCodeOperation, DCodeDocumentation, DCodeOperation, JavaCodeDocumentation, JavaCodeOperation, RubyCodeDocumentation, RubyCodeOperation, TextBlock
- layout() : AssociationLine
- LayoutGenerator() : LayoutGenerator
- LayoutGrid() : LayoutGrid
- LayoutTypeState() : Settings::LayoutTypeState
- LedStatus() : CodeImport::LedStatus, LedStatus
- lineColor() : UMLScene, WidgetBase
- LineNumberArea() : LineNumberArea
- lineNumberAreaPaintEvent() : CodeTextEdit
- lineNumberAreaWidth() : CodeTextEdit
- linePathEndsAt() : AssociationWidget
- linePathStartsAt() : AssociationWidget
- lineWidth() : UMLScene, WidgetBase
- link() : FloatingTextWidget
- linkedDiagram() : DiagramProxyWidget
- LinkWidget() : LinkWidget
- ListPopupMenu() : ListPopupMenu
- listView() : UMLApp
- LiteralsReader() : Import_Rose::LiteralsReader
- load() : Settings::AutoLayoutState, Settings::ClassState, Settings::CodeGenerationState, Settings::CodeImportState, Settings::CodeViewerState, Settings::GeneralState, Settings::LayoutTypeState, Settings::OptionState, Settings::UIState
- load1() : UMLActor, UMLArtifact, UMLAssociation, UMLAttribute, UMLCategory, UMLCheckConstraint, UMLClassifier, UMLComponent, UMLDatatype, UMLEntity, UMLEntityAttribute, UMLEnum, UMLEnumLiteral, UMLFolder, UMLForeignKeyConstraint, UMLInstance, UMLInstanceAttribute, UMLNode, UMLObject, UMLOperation, UMLPackage, UMLPort, UMLRole, UMLStereotype, UMLTemplate, UMLUniqueConstraint, UMLUseCase
- loadAssociationsFromXMI() : UMLScene
- loadChildrenFromXMI() : UMLListView
- loadChildTextBlocksFromNode() : CodeGenObjectWithTextBlocks, CPPHeaderCodeDocument, DClassifierCodeDocument, JavaANTCodeDocument, JavaClassifierCodeDocument, RubyClassifierCodeDocument
- loadClassFieldsFromXMI() : ClassifierCodeDocument
- loadCodeForOperation() : CodeGenerator
- loadDiagrams1() : UMLDoc
- loadDiagramsFromXMI1() : UMLDoc, UMLFolder
- loadExtensionsFromXMI1() : UMLDoc
- loadFolderFile() : UMLFolder
- loadFromArgoFile() : Import_Argo
- loadFromDocument() : CodeEditor
- loadFromPGMLFile() : Import_Argo
- loadFromTodoFile() : Import_Argo
- loadFromXMI() : ActivityWidget, AssociationLine, AssociationWidget, AssociationWidgetRole, ClassifierCodeDocument, ClassifierWidget, CodeAccessorMethod, CodeBlock, CodeBlockWithComments, CodeClassField, CodeClassFieldDeclarationBlock, CodeComment, CodeDocument, CodeGenerator, CodeOperation, CombinedFragmentWidget, CPPHeaderClassDeclarationBlock, DatatypeWidget, DClassDeclarationBlock, DiagramProxyWidget, EntityWidget, EnumWidget, FloatingDashLineWidget, FloatingTextWidget, ForkJoinWidget, HierarchicalCodeBlock, JavaANTCodeDocument, JavaClassDeclarationBlock, LinkWidget, MessageWidget, NoteWidget, ObjectNodeWidget, ObjectWidget, OwnedHierarchicalCodeBlock, PinPortBase, PreconditionWidget, RegionWidget, RubyClassDeclarationBlock, Settings::AutoLayoutState, Settings::ClassState, Settings::CodeImportState, Settings::LayoutTypeState, Settings::OptionState, Settings::UIState, SignalWidget, StateWidget, TextBlock, UMLDoc, UMLListView, UMLListViewItem, UMLObject, UMLScene, UMLWidget, WidgetBase, XMLElementCodeBlock
- loadFromXMIFile() : Import_Argo
- loadFromZArgoFile() : Import_Argo
- loading() : UMLDoc
- loadMessagesFromXMI() : UMLScene
- loadPixmaps() : WorkToolBar
- loadPlugin() : Umbrello::PluginLoader
- loadPlugins() : Umbrello::Configurable
- loadStereotype() : UMLObject
- loadUISDiagram() : UMLScene
- loadUisDiagramPresentation() : UMLScene
- loadUMLObjectsFromXMI() : UMLDoc
- loadWidgetFromXMI() : UMLScene
- loadWidgetsFromXMI() : UMLScene
- localID() : WidgetBase
- localName() : UMLFolder
- log() : ClassImport, UMLApp
- logDebug() : UMLApp
- logError() : UMLApp
- loggerClear() : CodeGenStatusPage, CodeImpStatusPage
- loggerExport() : CodeGenStatusPage, CodeImpStatusPage
- logInfo() : UMLApp
- logToConsole() : Tracer, UMLApp
- logWarn() : UMLApp
- logWindow() : UMLApp
- lookAhead() : NativeImportBase
- lwClassifier() : AssociationWidget, LinkWidget, MessageWidget
- lwOperationText() : AssociationWidget, LinkWidget, MessageWidget
- lwSetFont() : AssociationWidget, LinkWidget, MessageWidget